Как установить «Джона Потрошителя» / John the Ripper на Linux

John the Ripper — бесплатный инструмент, широко используемый нравственными или как это принято говорить этичными хакерами и тестеровщиками безопасности, чтобы проверить и взломать пароли.

Он позволяет вам идентифицировать слабые пароли и принять меры, чтобы укрепить вашу безопасность.

Из-за популярности этого инструмента, он — часть основных дистрибутивов Linux безопасности Kali Linux.

Давайте посмотрим, как мы можем установить и использовать этот инструмент в операционной системе Linux.

Мы протестировали следующий упомянутый метод установки на Ubuntu 16.04.

Установка

Следующий метод установки должен работать на большинстве дистрибутивов Linux, запустите ваш системный терминал и выполнить следующую команду, чтобы изменить ваш рабочий каталог на /opt.

# cd /opt 

Теперь скачаем архив Джона Потрашителя:
# wget http://www.openwall.com/john/g/john-1.7.9-jumbo-7.tar.gz
Как только john the ripper скачается, распакуем полученный архив
# tar -xvzf john-1.7.9-jumbo-7.tar.gz
Переименуем распакованную директорию
# mv john-1.7.9-jumbo-7 john 
Если у вас 64-битная линкусновая ОС , установите:
# make clean linux-x86-64 
Если 32-битная:
 # make clean linux-x86-sse2 
Процесс установки rippera будет выглядеть примерно так на Ubuntu:
Перейдите в «run» в вашей директории john:
# cd /opt/john/run 
Ознакомиться со списком команд можно через команду join:
# ./john

cryptoparty

Cryptography is typically bypassed, not penetrated.

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *